## xdoclet.modules.web
Class WebXmlSubTask.WelcomeFile

    java.lang.Object
      xdoclet.modules.web.WebXmlSubTask.WelcomeFile

All Implemented Interfaces:
  Serializable

Enclosing class:
  WebXmlSubTask

public static class WebXmlSubTask.WelcomeFile
extends Object
implements Serializable

The welcomefile element contains file name to use as a default welcome file, such as index.html.

Author:
  Aslak Hellesøy
See Also:
  Serialized Form
created
  Sep 18, 2001

Constructor Summary
`WebXmlSubTask.WelcomeFile()`

Method Summary
`String` `getFile()` Gets the File attribute of the WelcomeFile object
`void` `setFile(String file)` The welcomefile element contains file name to use as a default welcome file, such as index.html.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebXmlSubTask.WelcomeFile

    public WebXmlSubTask.WelcomeFile()

Method Detail

### getFile

    public String getFile()

  Gets the File attribute of the WelcomeFile object

  Returns:
    The File value

### setFile

    public void setFile(String file)

  The welcomefile element contains file name to use as a default welcome file, such as index.html.

  Parameters:
    `file` - The new File value

http://xdoclet.sourceforge.net/